<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Sessions|Session Tasks|VPN Pivot">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="In order to provide VPN pivot functionality on the Windows platform, Metasploit Pro must install a new network driver. " /><title>Virtual Interfaces</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#09-sessions/virtual-interfaces.html">Open topic with navigation</a>
        </p>
        <h2>Virtual Interfaces</h2>
        <p>In order to provide VPN pivot functionality on the Windows platform, <span class="VariablesProductName">Metasploit Pro</span> must install a new network driver. The driver, <code class="usertype">msftap.sys</code>, creates four <a name="kanchor120"></a>virtual interfaces on the installed system, which provides the ability to run up to four concurrent VPN Pivot sessions.</p>
        <p>If <span class="VariablesProductName">Metasploit Pro</span> does not locate the virtual interfaces when MetasploitProSvc starts, <span class="VariablesProductName">Metasploit Pro</span> automatically installs the network drivers. To reinstall or uninstall these drivers, you can use one of the batch scripts that are available. You can locate the batch scripts at: <code>$INSTALLROOT\apps\pro\data\drivers\&lt;arch&gt;\</code>. You can use the scripts to disable the VPN Pivot virtual interfaces or restore a previously removed driver.</p>
    </body>
</html>